> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List domains

> List all domains for an application.



## OpenAPI

````yaml get /v2/session/apps/{appID}/domains
openapi: 3.1.1
info:
  title: Prelude Session Management API
  version: 0.0.1
  summary: The Prelude API for Session Management
  description: The Prelude API for Session Management.
  contact:
    email: support@prelude.so
    url: https://prelude.so
servers:
  - url: https://api.prelude.dev
    description: Production server
security:
  - Authorization: []
tags:
  - name: Mode
    description: Manage the mode (dev/prod) of your application.
  - name: Users
    description: Manage the users of your application.
  - name: Webhooks
    description: Manage the webhooks of your application.
  - name: Domains
    description: Manage the domains of your application.
  - name: Config - Scopes
    description: Manage the scope configuration of your application.
  - name: Config - Claims
    description: Manage the claims mapping configuration of your application.
  - name: Config - Step-up
    description: Manage the step-up authentication configuration of your application.
  - name: Config - Migration
    description: Manage the user migration configuration of your application.
  - name: Config - Login OTP
    description: Manage the OTP login configuration of your application.
  - name: Config - Login OAuth
    description: Manage the OAuth login configuration of your application.
  - name: Config - Login Password
    description: Manage the password login configuration of your application.
paths:
  /v2/session/apps/{appID}/domains:
    parameters:
      - $ref: '#/components/parameters/appIDParam'
    get:
      tags:
        - Domains
      summary: List domains
      description: List all domains for an application.
      operationId: listDomains
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDomainsResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDisabledError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppNotFoundError'
components:
  parameters:
    appIDParam:
      in: path
      name: appID
      required: true
      description: The id of the app the request refers to.
      schema:
        $ref: '#/components/schemas/AppID'
  schemas:
    GetDomainsResponse:
      type: object
      properties:
        domains:
          type: array
          items:
            $ref: '#/components/schemas/DomainResponse'
      required:
        - domains
    SessionDisabledError:
      type: object
      properties:
        code:
          type: string
          enum:
            - session_disabled
          examples:
            - session_disabled
        status:
          type: string
          enum:
            - forbidden
          examples:
            - forbidden
        message:
          type: string
          examples:
            - Session management is disabled for this application.
      required:
        - code
        - status
        - message
    AppNotFoundError:
      type: object
      properties:
        code:
          type: string
          enum:
            - app_not_found
          examples:
            - app_not_found
        status:
          type: string
          enum:
            - not_found
          examples:
            - not_found
        message:
          type: string
          examples:
            - The application was not found.
      required:
        - code
        - status
        - message
    AppID:
      type: string
      description: An application's unique identifier.
      examples:
        - 54e9ujn
        - fvua38g
    DomainResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/DomainID'
        domain:
          type: string
          description: The domain name linked to your application.
          examples:
            - session.example.com
          maxLength: 255
        status:
          type: string
          enum:
            - active
            - pending
          examples:
            - active
        cname_record:
          type: string
          description: >-
            The CNAME value to add to your DNS settings. This is used to verify
            the domain ownership. The CNAME key should be the domain name linked
            to your application.
          examples:
            - customers.prld.dev
          maxLength: 255
        created_at:
          type: string
          format: date-time
          examples:
            - '2025-03-15T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          examples:
            - '2025-03-15T12:00:00Z'
      required:
        - id
        - domain
        - status
        - cname_record
        - created_at
        - updated_at
    DomainID:
      type: string
      description: A domain name's unique identifier. It is prefixed with 'dom_'
      examples:
        - dom_01jqebhswje1ka1z7ahr9rfsgt
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````